﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;

namespace PhoneApp38
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();


            string[] appnames = { "Shazam", "Coachs's Eye", "Files and Folders Pro" };
            string[] gamenames = { "Fifa 15", "Poker", "Tetris" };

            List<ViewModel> items = new List<ViewModel>();

            for (int i = 1; i <= 3; i++)
            {
                ViewModel model = new ViewModel()
                {
                    AppsTitle = "#" + i + " " + appnames[i - 1],
                    AppsImagePath = "ImagesApps/" + i + ".jpg",
                    AppsDescription = "best app of the week " + "# " + i,

                    GamesTitle = "#" + i + " " + gamenames[i - 1],
                    GamesImagePath = "ImagesGames/" + i + ".jpg",
                    GamesDescription = "best game of the week " + "# " + i
                };

                items.Add(model);
            }

            this.DataContext = items;
        }

        private void slideViewApps_Tap(object sender, GestureEventArgs e)
        {
            var selectedItem = slideViewApps.SelectedItem as ViewModel;

            if (selectedItem.AppsTitle == "#1 Shazam")
            {

                NavigationService.Navigate(new Uri("/Page1.xaml",UriKind.Relative));
            }
            else
            {
                NavigationService.Navigate(new Uri("/Page2.xaml", UriKind.Relative));
            }
        }
    }

    public class ViewModel
    {
        public string AppsTitle
        {
            get;
            set;
        }

        public string AppsImagePath
        {
            get;
            set;
        }

        public string AppsDescription
        {
            get;
            set;
        }

        public string GamesTitle
        {
            get;
            set;
        }

        public string GamesImagePath
        {
            get;
            set;
        }

        public string GamesDescription
        {
            get;
            set;
        }
    }
}